Rerun autoconf and autoheader.

This commit is contained in:
Jilles Tjoelker 2008-04-11 17:57:37 +02:00
parent ec0e5bc7c6
commit faf00e4f00
2 changed files with 0 additions and 207 deletions

195
configure vendored
View File

@ -6845,93 +6845,6 @@ _ACEOF
{ echo "$as_me:$LINENO: checking the system's memory page size" >&5
echo $ECHO_N "checking the system's memory page size... $ECHO_C" >&6; }
pagesize="no"
if test "$cross_compiling" = yes; then
{ { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
See \`config.log' for more details." >&5
echo "$as_me: error: cannot run test program while cross compiling
See \`config.log' for more details." >&2;}
{ (exit 1); exit 1; }; }
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <stdio.h>
#if HAVE_UNISTD_H
# include <unistd.h>
#endif
int main(void) {
FILE *fp = fopen("conftest.malloc", "w");
if (fp != NULL) {
fprintf(fp, "%d\n", getpagesize());
fclose(fp);
} else
exit(1);
exit(0);
}
_ACEOF
rm -f conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_link") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && { ac_try='./conftest$ac_exeext'
{ (case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_try") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
if test -f "conftest.malloc" ; then
pagesize=`cat conftest.malloc`
fi
else
echo "$as_me: program exited with status $ac_status" >&5
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
if test "$pagesize" != "no" ; then
{ echo "$as_me:$LINENO: result: $pagesize" >&5
echo "${ECHO_T}$pagesize" >&6; }
else
if test "$ac_cv_sizeof_int" = "4" ; then
pagesize=4096
else
pagesize=8192
fi
{ echo "$as_me:$LINENO: result: $pagesize (guessing)" >&5
echo "${ECHO_T}$pagesize (guessing)" >&6; }
fi
cat >>confdefs.h <<_ACEOF
#define MALLOC_PAGESIZE $pagesize
_ACEOF
{ echo "$as_me:$LINENO: checking for library containing socket" >&5
echo $ECHO_N "checking for library containing socket... $ECHO_C" >&6; }
if test "${ac_cv_search_socket+set}" = set; then
@ -7110,114 +7023,6 @@ fi
fi
{ echo "$as_me:$LINENO: checking for struct sockaddr.sa_len" >&5
echo $ECHO_N "checking for struct sockaddr.sa_len... $ECHO_C" >&6; }
if test "${ac_cv_member_struct_sockaddr_sa_len+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <sys/types.h>
#include <sys/socket.h>
int
main ()
{
static struct sockaddr ac_aggr;
if (ac_aggr.sa_len)
return 0;
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_cv_member_struct_sockaddr_sa_len=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <sys/types.h>
#include <sys/socket.h>
int
main ()
{
static struct sockaddr ac_aggr;
if (sizeof ac_aggr.sa_len)
return 0;
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_cv_member_struct_sockaddr_sa_len=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_member_struct_sockaddr_sa_len=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ echo "$as_me:$LINENO: result: $ac_cv_member_struct_sockaddr_sa_len" >&5
echo "${ECHO_T}$ac_cv_member_struct_sockaddr_sa_len" >&6; }
if test $ac_cv_member_struct_sockaddr_sa_len = yes; then
cat >>confdefs.h <<\_ACEOF
#define SOCKADDR_IN_HAS_LEN 1
_ACEOF
fi
{ echo "$as_me:$LINENO: checking for socklen_t" >&5
echo $ECHO_N "checking for socklen_t... $ECHO_C" >&6; }
if test "${ac_cv_type_socklen_t+set}" = set; then

View File

@ -174,9 +174,6 @@
/* Prefix where help file are installed. */
#undef HELP_DIR
/* Define if IPv6 support is present and available. */
#undef IPV6
/* Prefix where the ircd is installed. */
#undef IRCD_PREFIX
@ -189,9 +186,6 @@
/* Prefix where to write logfiles. */
#undef LOG_DIR
/* the system's memory page size */
#undef MALLOC_PAGESIZE
/* Sizeof member heap. */
#undef MEMBER_HEAP_SIZE
@ -216,9 +210,6 @@
/* Define to 1 if you wish to disable the block allocator. */
#undef NOBALLOC
/* Define to 1 if your system has no in6addr_any. */
#undef NO_IN6ADDR_ANY
/* Define to the address where bug reports for this package should be sent. */
#undef PACKAGE_BUGREPORT
@ -258,9 +249,6 @@
/* The size of `short', as computed by sizeof. */
#undef SIZEOF_SHORT
/* Define to 1 if sockaddr has a 'sa_len' member. */
#undef SOCKADDR_IN_HAS_LEN
/* Define this to enable soft asserts. */
#undef SOFT_ASSERT